<?php
namespace Creativeimageswap\PageSettings;

use Elementor\Controls_Manager;
use Elementor\Core\DocumentTypes\PageBase;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

class Page_Settings {

	const PANEL_TAB = 'new-tab';

	public function __construct() {
		add_action( 'elementor/init', [ $this, 'bwdisw_image_swap_add_panel_tab' ] );
		add_action( 'elementor/documents/register_controls', [ $this, 'bwdisw_image_swap_register_document_controls' ] );
	}

	public function bwdisw_image_swap_add_panel_tab() {
		Controls_Manager::add_tab( self::PANEL_TAB, esc_html__( 'New Author Bio', 'bwdisw-image-swap' ) );
	}

	public function bwdisw_image_swap_register_document_controls( $document ) {
		if ( ! $document instanceof PageBase || ! $document::get_property( 'has_elements' ) ) {
			return;
		}

		$document->start_controls_section(
			'bwdisw_image_swap_new_section',
			[
				'label' => esc_html__( 'Settings', 'bwdisw-image-swap' ),
				'tab' => self::PANEL_TAB,
			]
		);

		$document->add_control(
			'bwdisw_image_swap_text',
			[
				'label' => esc_html__( 'Title', 'bwdisw-image-swap' ),
				'type' => Controls_Manager::TEXT,
				'default' => esc_html__( 'Title', 'bwdisw-image-swap' ),
			]
		);

		$document->end_controls_section();
	}
}
